Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface PoissonDistS

All Known Implementing Classes:
  PoissonDistCImpl, PoissonDistImpl

public interface PoissonDistS
extends UnsignedDistributionS

Poisson distribution. A distribution used to model the integer number of occurrences of some event over an interval of time or space.

Method Summary
`java.lang.Object` | `setInterval(double anInterval)` The setInterval method only sets the interval parameter; the occurRate parameter is left unchanged from its previous or initialized value
`java.lang.Object` | `setOccurRate(double anOccurRate)` The setOccurRate method only sets the occurRate parameter; the interval parameter is left unchanged from its previous or initialized value
`java.lang.Object` | `setOccurRate$setInterval(double anOccurRate, double anInterval)` The setOccurRate:setInterval method sets both the occurrence rate and the interval parameters.

Methods inherited from interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Method Detail

### setInterval

    public java.lang.Object setInterval(double anInterval)

  The setInterval method only sets the interval parameter; the occurRate parameter is left unchanged from its previous or initialized value

### setOccurRate

    public java.lang.Object setOccurRate(double anOccurRate)

  The setOccurRate method only sets the occurRate parameter; the interval parameter is left unchanged from its previous or initialized value

### setOccurRate$setInterval

    public java.lang.Object setOccurRate$setInterval(double anOccurRate,
                                                     double anInterval)

  The setOccurRate:setInterval method sets both the occurrence rate and the interval parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD